Skip to navigation

Alert - Update Status

Update Alert Status

The POST /alerts/{alertId}/statuses endpoint is used to update the status of an alert. The status can be one of the following values: OPEN, CLOSED, REOPENED, OPEN_IN_PROGRESS, OPEN_ON_HOLD, or a custom status ID (e.g. AS-1). Note: When closing an alert the reason field is required.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

alertIdstringRequired

Request

This endpoint expects an object.
statusstringRequired
reasonlist of stringsOptional
otherReasonstringOptional
commentstringOptional
fileslist of objectsOptional

Response

OK
alertStatusstringOptional
customAlertStatusNamestringOptional

Errors

400
Bad Request Error